<?php

$block_name = _("Forwards Summary");

/**
 * $Horde: forwards/lib/Block/summary.php,v 1.7.2.2 2009/04/16 23:02:33 jan Exp $
 *
 * @package Horde_Block
 */
class Horde_Block_Forwards_summary extends Horde_Block {

    var $_app = 'forwards';

    function _title()
    {
        global $registry;
        return Horde::link(Horde::applicationUrl($registry->getInitialPage(), true)) . $registry->get('name') . '</a>';
    }

    function _content()
    {
        global $registry;
        require_once dirname(__FILE__) . '/../base.php';
        require_once FORWARDS_BASE . '/lib/Driver.php';

        // Get the current login credentials.
        @list($user, $realm) = explode('@', Auth::getAuth(), 2);
        if (empty($realm)) {
            $realm = 'default';
        }
        $pass = Auth::getCredential('password');

        // Create the driver.
        $driver = &Forwards_Driver::factory(Auth::getAuth(), $realm);

        // Find out if forwarding is activated or not.
        if (!isset($driver)) {
            return '<p><em>' . _("Failed to create a forwards driver") . '</em></p>';
        }

        if (!$driver->isEnabledForwarding($user, $realm, $pass)) {
            return '<p><strong>' . _("Forward is not active.") . '</strong></p>';
        }

        $to = $driver->currentTarget($user, $realm, $pass);
        if ($to) {
            // FIXME: should we parse the contents returned?
            return '<p><strong>' . _("Forward is active.") . '</strong><p>' .
                '<blockquote>' . nl2br(htmlentities($to)) . '</blockquote>';
        }

        return '<p><strong>' . _("Forward is active, unable to retrieve additional details.") . '</strong></p>';
    }

}
